## GtkTreeItem GtkTreeItem — The widget used for items in a GtkTree |

## Functions

#define | GTK_TREE_ITEM_SUBTREE()
GtkWidget * | gtk_tree_item_new ()
GtkWidget * | gtk_tree_item_new_with_label ()
void | gtk_tree_item_set_subtree ()
void | gtk_tree_item_remove_subtree ()
void | gtk_tree_item_select ()
void | gtk_tree_item_deselect ()
void | gtk_tree_item_expand ()
void | gtk_tree_item_collapse ()

## Signals

void | collapse | Run First
void | expand | Run First

## Types and Values

struct | GtkTreeItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkItem
                                ╰── GtkTreeItem

## Implemented Interfaces

GtkTreeItem implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkTree is deprecated and unsupported. It is known to be buggy. To use it, you must define the symbol `GTK_ENABLE_BROKEN` prior to including the GTK+ header files. Use GtkTreeView instead.

## Functions

### GTK_TREE_ITEM_SUBTREE()

    #define GTK_TREE_ITEM_SUBTREE(obj)      (GTK_TREE_ITEM(obj)->subtree)

`GTK_TREE_ITEM_SUBTREE` is deprecated and should not be used in newly-written code.

### gtk_tree_item_new ()

    GtkWidget *
    gtk_tree_item_new (void);

`gtk_tree_item_new` is deprecated and should not be used in newly-written code.

#### Returns

### gtk_tree_item_new_with_label ()

    GtkWidget *
    gtk_tree_item_new_with_label (const gchar *label);

`gtk_tree_item_new_with_label` is deprecated and should not be used in newly-written code.

#### Returns

### gtk_tree_item_set_subtree ()

    void
    gtk_tree_item_set_subtree (GtkTreeItem *tree_item,
                               GtkWidget *subtree);

`gtk_tree_item_set_subtree` is deprecated and should not be used in newly-written code.

### gtk_tree_item_remove_subtree ()

    void
    gtk_tree_item_remove_subtree (GtkTreeItem *tree_item);

`gtk_tree_item_remove_subtree` is deprecated and should not be used in newly-written code.

### gtk_tree_item_select ()

    void
    gtk_tree_item_select (GtkTreeItem *tree_item);

`gtk_tree_item_select` is deprecated and should not be used in newly-written code.

### gtk_tree_item_deselect ()

    void
    gtk_tree_item_deselect (GtkTreeItem *tree_item);

`gtk_tree_item_deselect` is deprecated and should not be used in newly-written code.

### gtk_tree_item_expand ()

    void
    gtk_tree_item_expand (GtkTreeItem *tree_item);

`gtk_tree_item_expand` is deprecated and should not be used in newly-written code.

### gtk_tree_item_collapse ()

    void
    gtk_tree_item_collapse (GtkTreeItem *tree_item);

`gtk_tree_item_collapse` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GtkTreeItem

    struct GtkTreeItem;

`GtkTreeItem` is deprecated and should not be used in newly-written code.

## Signal Details

### The `“collapse”` signal

    void
    user_function (GtkTreeItem *treeitem,
                   gpointer     user_data)

#### Parameters

treeitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“expand”` signal

    void
    user_function (GtkTreeItem *treeitem,
                   gpointer     user_data)

#### Parameters

treeitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First